Retrieve a QR code
curl --request GET \
--url https://management.scanova.io/qrcode/{qrid}/ \
--header 'Authorization: <api-key>'import requests
url = "https://management.scanova.io/qrcode/{qrid}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://management.scanova.io/qrcode/{qrid}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 88231,
"qrid": "QR7K9M2XN",
"name": "Product launch flyer",
"qr_type": "dy",
"qr_type_display": "Dynamic",
"category": { "id": 1, "name": "Website URL", "slug": "url" },
"info": "{\"type\":\"url\",\"data\":{\"url\":\"https://example.com\"}}",
"pattern_info": null,
"dynamic_url_object": {
"url_hash": "a1b2c3",
"complete_url": "https://qr.link/a1b2c3",
"visit_count": 1042
},
"thumbnail": "https://cdn.scanova.io/thumbnails/QR7K9M2XN.png",
"is_active": true,
"folder": null,
"created": "2026-06-02T14:03:11Z",
"modified": "2026-08-10T08:41:02Z",
"tags_list": ["campaign-2026", "print"],
"is_password_protected": false,
"published_at": "2026-06-02T14:05:00Z",
"is_currently_draft": false
}
Management-API — QR-Codes
Abrufen
GET /qrcode//
GET
/
qrcode
/
{qrid}
/
Retrieve a QR code
Ruft einen einzelnen QR-Code auf dem Management-API-Host (
management.scanova.io) ab, aktualisiert oder löscht ihn, authentifiziert mit Ihrem rohen Management-API-Schlüssel.
GET https://management.scanova.io/qrcode/{qrid}/
PUT https://management.scanova.io/qrcode/{qrid}/
PATCH https://management.scanova.io/qrcode/{qrid}/
DELETE https://management.scanova.io/qrcode/{qrid}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
erforderlich
Die
qrid des QR-Codes (z. B. QR7K9M2XN) — der von GET /qr/ zurückgegebene, für Menschen lesbare Bezeichner, nicht die numerische id.Dieselbe View ist auch unter
/qr/{qrid}/ erreichbar (also unter demselben Pfadpräfix wie der Listen-/Erstellungs-Endpunkt) — beide Pfade führen zu derselben View und demselben Verhalten. Diese Referenz dokumentiert /qrcode/{qrid}/, da dieser Pfad für dieses Doc-Set verifiziert wurde, aber beide funktionieren.GET gibt die vollständige Detailform zurück — jedes Feld, das der Erstellungs-/Aktualisierungs-Serializer akzeptiert, plus berechnete Felder, jedoch ohne KI-Assistent-Felder (ai_qr_code, ai_session_id, ai_chat_history) und datenbankübergreifende Antwortzahl-Felder, die der Listen-Endpunkt ebenfalls weglässt.
{
"id": 88231,
"qrid": "QR7K9M2XN",
"name": "Product launch flyer",
"qr_type": "dy",
"qr_type_display": "Dynamic",
"category": { "id": 1, "name": "Website URL", "slug": "url" },
"info": "{\"type\":\"url\",\"data\":{\"url\":\"https://example.com\"}}",
"pattern_info": null,
"dynamic_url_object": {
"url_hash": "a1b2c3",
"complete_url": "https://qr.link/a1b2c3",
"visit_count": 1042
},
"thumbnail": "https://cdn.scanova.io/thumbnails/QR7K9M2XN.png",
"is_active": true,
"folder": null,
"created": "2026-06-02T14:03:11Z",
"modified": "2026-08-10T08:41:02Z",
"tags_list": ["campaign-2026", "print"],
"is_password_protected": false,
"published_at": "2026-06-02T14:05:00Z",
"is_currently_draft": false
}
Geltungsbereich und Fehler
Jede Methode hier wirkt nur auf QR-Codes, die dem Konto gehören, zu dem der Schlüssel gehört — das Anfordern einerqrid, die Ihnen nicht gehört (oder die nicht existiert), gibt 404 zurück, nicht 403, sodass Sie diesen Endpunkt nicht verwenden können, um die Existenz von QR-Codes anderer Konten zu erkunden.
Verwandte Themen
- Aktualisieren — die andere Operation an diesem selben Endpunkt.
- Löschen — die andere Operation an diesem selben Endpunkt.
- QR-Codes auflisten — finden Sie eine
qrid, die Sie hier abrufen möchten. - Einen QR-Code erstellen — das Erstellen eines QR-Codes gibt dieselbe vollständige Detailform zurück.
- Ein QR-Code-Bild herunterladen — rendern Sie diesen QR-Code als Bilddatei.
- Gelöschte QR-Codes auflisten — wohin ein QR-Code nach
DELETEhier gelangt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. management.scanova.io) — the same key sent to the regular API host will not authenticate.
Pfadparameter
Antwort
200
QR code detail
War diese Seite hilfreich?
⌘I